VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::ovf::LibraryItemTypes::DeployableIdentity Class Reference

The `LibraryItem.DeployableIdentity` class describes the resource created by a deployment, or the source resource from which library item can be created, by specifying its resource type and resource identifier. More...

List of all members.

## Public Member Functions
| DeployableIdentity ()
| Creates a default new instance.
string | Get_Type ()
| Type of the deployable resource.
void | SetType (string type)
| Type of the deployable resource.
string | GetId ()
| Identifier of the deployable resource.
void | SetId (string id)
| Identifier of the deployable resource.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `LibraryItem.DeployableIdentity` class describes the resource created by a deployment, or the source resource from which library item can be created, by specifying its resource type and resource identifier.

## Constructor & Destructor Documentation

vmware::vcenter::ovf::LibraryItemTypes::DeployableIdentity::DeployableIdentity | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::ovf::LibraryItemTypes::DeployableIdentity::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::ovf::LibraryItemTypes::DeployableIdentity::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::ovf::LibraryItemTypes::DeployableIdentity::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::ovf::LibraryItemTypes::DeployableIdentity::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::ovf::LibraryItemTypes::DeployableIdentity::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::ovf::LibraryItemTypes::DeployableIdentity::Equals | ( | object | obj | ) | `[inline]`

string vmware::vcenter::ovf::LibraryItemTypes::DeployableIdentity::Get_Type | ( |  | ) | `[inline]`

Type of the deployable resource.

When clients pass a value of this class as a parameter, the field must be one of `VirtualMachine` or `VirtualApp` . When methods return a value of this class as a result, the field will be one of `VirtualMachine` or `VirtualApp` .

override int vmware::vcenter::ovf::LibraryItemTypes::DeployableIdentity::GetHashCode | ( |  | ) | `[inline]`

string vmware::vcenter::ovf::LibraryItemTypes::DeployableIdentity::GetId | ( |  | ) | `[inline]`

Identifier of the deployable resource.

When clients pass a value of this class as a parameter, the field `type` must contain the actual resource type. When methods return a value of this class as a result, the field `type` will contain the actual resource type.

void vmware::vcenter::ovf::LibraryItemTypes::DeployableIdentity::SetId | ( | string | id | ) | `[inline]`

Identifier of the deployable resource.

When clients pass a value of this class as a parameter, the field `type` must contain the actual resource type. When methods return a value of this class as a result, the field `type` will contain the actual resource type.

void vmware::vcenter::ovf::LibraryItemTypes::DeployableIdentity::SetType | ( | string | type | ) | `[inline]`

Type of the deployable resource.

When clients pass a value of this class as a parameter, the field must be one of `VirtualMachine` or `VirtualApp` . When methods return a value of this class as a result, the field will be one of `VirtualMachine` or `VirtualApp` .

override string vmware::vcenter::ovf::LibraryItemTypes::DeployableIdentity::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- LibraryItemTypes.cs